Bug 770731 - Interface prefix advertisement declaration prevents ospf6d from starting
Interface prefix advertisement declaration prevents ospf6d from starting
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: quagga (Show other bugs)
6.2
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Michal Sekletar
Tomas Dolezal
: Patch
Depends On:
Blocks: 1356047
  Show dependency treegraph
 
Reported: 2011-12-28 12:09 EST by Vesselin Kolev
Modified: 2017-03-21 07:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: quagga-0.99.15-12.el6
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-21 07:57:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This patch fixes issue with no advertise prefix-list (1.65 KB, patch)
2012-01-16 08:21 EST, Jiri Skala
no flags Details | Diff

  None (edit)
Description Vesselin Kolev 2011-12-28 12:09:05 EST
Description of problem:

The ospf6d component of quagga package allows specifying "per interface" distribution list, for example:

interface eth1.200
 ipv6 ospf6 cost 1
 ipv6 ospf6 hello-interval 10
 ipv6 ospf6 dead-interval 40
 ipv6 ospf6 retransmit-interval 5
 ipv6 ospf6 priority 1
 ipv6 ospf6 transmit-delay 1
 ipv6 ospf6 instance-id 0
 ipv6 ospf6 advertise prefix-list NONE

That declaration works well and it is possible to be saved through the vty console. But the problem appears when one are trying to start or restart the ospf6d daemon with the previous saved declaration - the daemon cannot be started. The problem can be reproduced for all versions of quagga package shipped with RHEL5/6.

Version-Release number of selected component (if applicable):

quagga-0.99.15-5.el6_0.2

How reproducible:

always

Steps to Reproduce:

1. Start ospfd

2. Connect to the vty console
$ telnet ::1 ospf6d

3. Setup ospf6 router, activate the interface, declare an appropriate prefix-list and set it in the interface prefix advertisement option:
>en
# con t
# ipv6 prefix-list NONE seq 5 deny any
# interface eth0
# ipv6 ospf6 advertise prefix-list NONE
# write

4. Stop and start (restart) ospfd
# service ospf6d restart


  
Actual results:

The daemon ospf6d cannot be started

Expected results:

The daemon ospf6d should be start normally

Additional info:

RHEL6 compiled osp6d does not produce backtrace screen output, but under RHEL5, the output looks like:

Starting ospf6d: OSPF6: Received signal 11 at 1325090168 (si_addr 0x48, PC 0xdaf7b1); aborting...
Program counter: ospf6d[0xdaf7b1]
Backtrace for 11 stack frames:
/usr/lib/quagga/libzebra.so.0(zlog_backtrace_sigsafe+0x51)[0x7ce8d1]
/usr/lib/quagga/libzebra.so.0(zlog_signal+0x21e)[0x7cef1e]
/usr/lib/quagga/libzebra.so.0[0x7de7d6]
[0xdf3440]
ospf6d[0xdaf7b1]
/usr/lib/quagga/libzebra.so.0(cmd_execute_command_strict+0x5dd)[0x7b79cd]
/usr/lib/quagga/libzebra.so.0(config_from_file+0x74)[0x7b9e44]
/usr/lib/quagga/libzebra.so.0(vty_read_config+0x147)[0x7b0627]
ospf6d(main+0x287)[0xd9fac7]
/lib/libc.so.6(__libc_start_main+0xdc)[0x188e9c]
ospf6d[0xd9f5b1]
Comment 2 Jiri Skala 2012-01-16 08:21:31 EST
Created attachment 555504 [details]
This patch fixes issue  with no advertise prefix-list

This seems to be known issue when there is specified

ipv6 ospf6 advertise prefix-list NONE

in the osfp6d.conf. I've tried to backport this patch that has fixed the issue for me.
Comment 3 Vesselin Kolev 2012-01-16 09:00:34 EST
Thank You, Jiri. I successfully recompiled Quagga package from src.rpm with Your patch applied. It works.

Is there any possibility for the patched version to be included in the bugfix stream of updates or we should wait for next minor release of RHEL 6?
Comment 4 Jiri Skala 2012-01-16 09:46:12 EST
(In reply to comment #3)
> Thank You, Jiri. I successfully recompiled Quagga package from src.rpm with
> Your patch applied. It works.
> 
Thank you for test.

> Is there any possibility for the patched version to be included in the bugfix
> stream of updates or we should wait for next minor release of RHEL 6?

The quagga component have to be scheduled to be updated. I would recommend to request it through customer portal:

https://access.redhat.com/support/
Comment 6 Suzanne Yeghiayan 2012-02-14 18:25:44 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 12 errata-xmlrpc 2017-03-21 07:57:49 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0794.html

Note You need to log in before you can comment on or make changes to this bug.